For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
        • GETGet 301 redirects
        • POSTCreate a 301 redirect
        • PATCHUpdate 301 redirect
        • DELDelete 301 redirects
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EnterpriseSite Configuration301 Redirects

Delete 301 redirects

DELETE
https://api.webflow.com/beta/sites/:site_id/redirects/:redirect_id
DELETE
/beta/sites/:site_id/redirects/:redirect_id
$curl -X DELETE https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/redirects/66c4cb9a20cac35ed19500e6 \
> -H "Authorization: Bearer <token>"
1{
2 "redirects": [
3 {
4 "id": "42e1a2b7aa1a13f768a0042a",
5 "fromUrl": "/mostly-harmless",
6 "toUrl": "/earth"
7 },
8 {
9 "id": "6x9e7f8d9a4b1c2d3e4f5678",
10 "fromUrl": "/babel-fish",
11 "toUrl": "/translate"
12 }
13 ],
14 "pagination": {
15 "limit": 100,
16 "offset": 0,
17 "total": 2
18 }
19}
Remove a 301 redirection rule from a site. This is useful for cleaning up outdated or unnecessary redirects, ensuring that your site's routing behavior remains efficient and up-to-date. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `sites:write`
Was this page helpful?
Previous

Set a well-known file

Next
Built with

Remove a 301 redirection rule from a site.

This is useful for cleaning up outdated or unnecessary redirects, ensuring that your site’s routing behavior remains efficient and up-to-date.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: sites:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
redirect_idstringRequiredformat: "objectid"
Unique identifier site redirect

Response

Request was successful
redirectslist of objects
List of redirects for a given site
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error